Bug 53696 - Anaconda failed during post installation process with RAID
Summary: Anaconda failed during post installation process with RAID
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Brent Fox
QA Contact: caiqian
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-15 14:16 UTC by caiqian
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-28 20:07:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description caiqian 2001-09-15 14:16:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
Anaconda dump

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.RAID
2.Athlon 1.4
3.AMD761
	

Additional info:

EPOX 8K7A+ ...Athlon 1.4G...256DDR...RAID0

Comment 1 caiqian 2001-09-15 15:07:22 UTC
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 19, 
in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2081, in 
doInstall
    self.hdList, self.upgrade, langlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 295, in install
    maxcyl = fstab.getBootPartitionMaxCylFromDrive()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 202, in 
getBootPartitionMaxCylFromDrive
    maxcyl = (sector+size) / string.atoi(bootgeom[2])
OverflowError: integer addition

Local variables in innermost frame:
size: 1869506934
maxcyl: 0
type: -1
self: <fstab.GuiFstab instance at 85697b8>
bootgeom: ('9964', '255', '63')
table: <parttable object at 9d5a070>
i: 0
bootpart: sda1
part: sda1
boothd: sda
sector: 1701079917

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I118
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>


Comment 2 Matt Wilson 2001-09-17 03:34:40 UTC
how big are the hard drives you're using, and what is the geometry?


Comment 3 Brent Fox 2001-09-27 19:21:33 UTC
Any more info here?

Comment 4 Brent Fox 2001-10-15 16:16:52 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.